System Requirements For iOS Apps

BIAS FX, BIAS Amp 2 & X Drummer

These apps require iOS 10 or above to run, and they are compatible with the following iOS devices. 

  • iPad Pro
  • iPad Air/Air2
  • iPad 4
  • iPad mini/mini 2/mini 3/mini 4

 

Final Touch, JamUp & BIAS Pedal

These apps require iOS 9 or above to run, and they are compatible with the following iOS devices. 

  • iPad Pro
  • iPad Air/Air2
  • iPad 2/3/4
  • iPad mini/mini 2/mini 3/mini 4
Was this article helpful?
1 out of 2 found this helpful
Need More Help? Contact Us